rte_crypto_ml_kem_encap_op(3)

NAME
rte_crypto_ml_kem_encap_op

SYNOPSIS

#include <rte_crypto_asym.h>

  Data Fields

rte_crypto_param message
rte_crypto_param ek
rte_crypto_param cipher
rte_crypto_param sk

Detailed Description

PQC ML-KEM ENCAP op

Parameters for PQC ML-KEM encapsulation operation

Definition at line 861 of file rte_crypto_asym.h.

Field Documentation

  rte_crypto_param message
The message (of 32 bytes in length) for randomness.

Definition at line 862 of file rte_crypto_asym.h.

  rte_crypto_param ek
The encapsulation key.

Definition at line 865 of file rte_crypto_asym.h.

  rte_crypto_param cipher
Pointer to output data

•   The computed cipher.

•   Refer rte_crypto_ml_kem_cipher_size for size of buffer.

Definition at line 868 of file rte_crypto_asym.h.

  rte_crypto_param sk
Pointer to output data

•   The computed shared secret key (32 bytes).

Definition at line 875 of file rte_crypto_asym.h.

Author

Generated automatically by Doxygen for DPDK from the source code.